Unable to model SNMPv3 devices in CA Spectrum database using AES 128

Document ID : KB000056681
Last Modified Date : 14/02/2018
Show Technical Document Details

ISSUE: Unable to model snmpv3 devices using AES 128. Devices configured for SHA model fine.

ROOT CAUSE: CAPKI may not have install properly. Check for an error similar to the following in the $SPECROOT/SS/VNM.OUT file:

Dec 05 15:01:18 ERROR TRACE at SnmpV3ProfileGlobalConfigIH.cc(204):SnmpV3ProfileGlobalConfigIH:Cannot initialize the CAPKI library

RESOLUTION: Reinstall the Spectrum base over the top of the existing installation. Verify CAPKI is installed. On Windows, check for the  C:\Program Files (x86)\CA\SC\CAPKI directory. On Linux and Solaris, check for the /opt/CA/SharedComponents/CAPKI directory. Then reinstall the most current previously installed HotFix and then any post HotFix PTF and/or debug patches. Check the $SPECROOT/Install-Tools/.history file for the version, HotFix and debug/PTF patches currently installed.

Using the following $SPECROOT/Install-Tools/.history file as an example:

9.2.0.0.327 05/28/2010 11:50

9.2.0.01.32 08/09/2010 10:37

Spectrum_09.02.00.D17 installed on 08/31/2010 16:53:43.

9.2.0.02.21 10/19/2010 21:49

Spectrum_09.02.00.PTF_H0211 installed on 10/31/2010 23:29:27.

9.2.0.03.14 12/20/2010 09:48

Spectrum_09.02.00.PTF_H0301 installed on 12/29/2010 07:54:49.

Spectrum_09.02.00.PTF_H0304 installed on 03/09/2011 09:36:59.

Spectrum_09.02.00.PTF_H0309 installed on 03/09/2011 09:38:03.

Spectrum_09.02.00.D87 installed on 03/09/2011 09:38:46.

9.2.0.04.24 07/28/2011 23:45

Spectrum_09.02.00.PTF_H0401 installed on 07/29/2011 09:01:17.

9.2.1.05.104 08/29/2011 16:59

Spectrum_09.02.01.PTF_9.2.101 installed on 08/29/2011 18:21:46.

9.2.1.6.78 03/12/2012 12:37

Spectrum_09.02.01.PTF_H0605 installed on 03/12/2012 14:08:24.

9.2.2.8.201 10/31/2012 13:08

Spectrum_09.02.02.PTF_9.2.211 installed on 10/31/2012 16:28:32.

9.2.3.10.159 04/03/2013 10:41

9.2.3.11.123 08/07/2013 11:06

Spectrum_09.02.03.PTF_H1123 installed on 02/20/2014 08:33:50.

Spectrum_09.02.03.PTF_H1126 installed on 08/04/2014 07:04:20.

Spectrum_09.02.03.PTF_H1129 installed on 11/19/2014 09:38:29.

 

The user would need to install the following in the order specified:

09.02.00.00 base 

09.02.03.H11 HotFix

09.02.03.PTF_H1123 PTF patch

09.02.03.PTF_H1126 PTF patch

09.02.03.PTF_H1129 PTF patch

 

Or the user can upgrade to a newer version of Spectrum. Again, verifying CAPKI installed correctly after the upgrade.